using KioskApp.Portal;
using KioskApp.Portal.Platforms.Events;
using KioskApp.Portal.Widgets;
using Window = KioskApp.Portal.Window;

namespace KioskApp;

class Program
{
    [STAThread]
    static void Main(string[] args)
    {
        var window = Window.Create(new WindowOptions
        {
            Title = "Kiosk App",
            Width = 800,
            Height = 600
        });
        
        window.Closing += WindowOnClosing;
        
        // TODO: Links should open in the same view (Kinda broken in GTK Linux)
        // TODO: Support for Window.CenterOnScreen()
        // TODO: JavaScript to C# communication
        // TODO: Add Razor Templating Engine
        // TODO: Add Mac Support
        
        var webview = window.AddWidget<BaseWebView>();
        webview.Navigate("https://cocreate.novartis.com/");
        
        // window.Fullscreen();
        window.Show();
    }

    private static void WindowOnClosing(object? sender, WindowClosingEventArgs e)
    {
       
    }
}